import { type Express, type NextFunction, type Request, type Response } from "express";
import UserModel from '../models/userModel';


async function checkAuthenticated(req: Request, res: Response, next: NextFunction) {
  try {
    const password = req.body.pass;
    const userFound = await UserModel.findOne({ pass: password });
    if (!userFound) {
      return res.status(404).json({ message: 'Wrong password' });
    }
    req.user = userFound;
    return next();
  } catch (err) {
    console.log(err);
    return res.status(500).json({ message: 'Error when getting transactions.' });
  }
}

export default checkAuthenticated;